classification
Title: backport of the _sysconfigdata.py module (issue 13150) breaks the build on darwin
Type: Stage: resolved
Components: Build Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: doko Nosy List: benjamin.peterson, doko, ned.deily, pitrou, python-dev, ronaldoussoren, twouters
Priority: normal Keywords: patch

Created on 2013-03-21 22:56 by doko, last changed 2016-09-12 02:50 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
workaround.diff doko, 2013-03-21 23:15 review
backport.diff doko, 2013-03-22 05:58 review
Messages (10)
msg184919 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-21 22:56
The backport of #13150 to the 2.7 branch breaks the build on darwin. There is a special case for providing the _sysconfigdata module in _generate_posix_vars before get_platform is called (darwin only) and before the module is actually written.

However get_platform is called before, in site.addbuilddir(). Wondering if this call can either be avoided, or worked around.

options:

- backport issue586680 too (http://hg.python.org/cpython/rev/4742e7aea2f5/)
- fall back to generic values for osname, release, machine

any other options?
msg184923 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-21 23:15
untested work-around. we don't need the builddir to generate the _sysconfigdata.py.
msg184928 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2013-03-22 00:03
Backporting 4742e7aea2f5 would seem to be the simplest and most "correct" solution.
msg184944 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-22 05:58
here's the backport, tested on Linux only. sorry, can't test this on MacOSX before Sunday.
msg184945 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2013-03-22 06:52
Reverting the backport would also fix the breakage.

Is the addition of _sysconfigdata not a new feature? It changes the place where sysconfig (and distutils sysconfig?) looks for configuration data, and hence breaks all instructions that mention that you can change the Makefile in {sys.prefix}/lib/python2.7/config to globally affect the compilation flags (although there hopefully aren't a lot of those)
msg184946 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2013-03-22 07:00
Guess what, I hadn't read the thread on this python-dev yet :-(
msg184970 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2013-03-22 14:41
I backed it out until it can be done without breaking OSX. d174cb3f5b9e
msg185063 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2013-03-23 14:47
Can landed corrected in 2.7.5.
msg185072 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-23 18:51
tested the backport on MacOSX, fixing the build.
msg186331 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-04-08 19:20
New changeset be3b4aa2ad28 by doko in branch '2.7':
- Issue #13150, #17512: sysconfig no longer parses the Makefile and config.h
http://hg.python.org/cpython/rev/be3b4aa2ad28
History
Date User Action Args
2016-09-12 02:50:49berker.peksagsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2013-04-08 19:20:25python-devsetnosy: + python-dev
messages: + msg186331
2013-03-23 18:51:43dokosetmessages: + msg185072
2013-03-23 14:47:02benjamin.petersonsetpriority: release blocker -> normal

messages: + msg185063
2013-03-22 14:41:09benjamin.petersonsetmessages: + msg184970
2013-03-22 07:00:01ronaldoussorensetmessages: + msg184946
2013-03-22 06:52:55ronaldoussorensetmessages: + msg184945
2013-03-22 06:24:39ned.deilysetnosy: + ned.deily
2013-03-22 05:58:22dokosetfiles: + backport.diff

messages: + msg184944
2013-03-22 00:03:23benjamin.petersonsetmessages: + msg184928
2013-03-21 23:22:21dokosetnosy: + twouters, pitrou
2013-03-21 23:15:42dokosetfiles: + workaround.diff
keywords: + patch
messages: + msg184923
2013-03-21 22:56:23dokocreate